Как установить php 5.4.x на Ubuntu 13.10 saucy salamander

Как установить php 5.4 на ubuntu 13.10 saucy?

На ppa: ondrej / php5-oldstable ( https://launchpad.net/~ondrej/+archive/php5-oldstable [ 110]) есть только пакеты до 13.04

Пожалуйста, помогите.

Спасибо, Майкл.

3
задан 17.04.2020, 18:18

2 ответа

изменить хранилища на raring (с резервным копированием)

sudo sed -i.bak "s/saucy/raring/g" /etc/apt/sources.list

обновить и установить серверные пакеты

sudo apt-get update

добавить сюда нужные вам пакеты и убедиться, что вы устанавливаете php5.4 и apache2. 2

sudo apt-get install apache2 php5 libapache2-mod-php5 phpmyadmin 

изменить хранилища обратно на saucy

sudo sed -i "s/raring/saucy/g" /etc/apt/sources.list

игнорировать все текущие обновления (удержание пакета)

sudo apt-mark hold `aptitude -F%p --disable-columns search ~U`
0
ответ дан 17.04.2020, 18:18
  1. ppa: ondrej / php5 содержит php5 5.5, вы, вероятно, имели в виду ppa: ondrej / php5-oldstable

  2. Я добавлю saucy в список поддерживаемых скоро выйдет (ish) для ppa: ondrej / php5 (например, PHP 5.5)

  3. Я не буду добавлять дерзкую поддержку для ppa: ondrej / php5-oldstable (PHP 5.4), если вам потребовалась флешка PHP 5.4 со старым выпуском (точнее, если вам нужен LTS)

0
ответ дан 17.04.2020, 18:18
  • 1
    реклама 1.), о, извините. да я имел в виду старую конюшню. 2.) спасибо, 3.):-|, по некоторым причинам я expteced это. Спасибо за Вашу работу так или иначе. – sid8491 17.04.2020, 18:19
  • 2
    отредактированный мой вопрос и исправленный 1. – Jonathan 17.04.2020, 18:20

Теги

Похожие вопросы